//-----------Top Path-----------
  //路徑鈕 註冊的function
function main_PathAsciiToMqttJson_click(that)
{
	var Class = new Path();
	Class.ClearTheDivOfTheTail(that, "#Main_Top-Path");
	$("#Main_Left-List").css("display", "block");
	Class = new AsciiToMqttJsonSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
//-----------Left List-----------
function main_AsciiToMqttJson_click(that)
{
	var LeftDivId="#Main_Left-List";
	var Class = new ListCommon();
	Class.ChangeDivCss(that, LeftDivId);
	Class = new Path();
	Class.LoadPathHtml($(that).text(), 1, "main_PathAsciiToMqttJson_click(this)");
	Class = new LoadHtml();
	var Html = Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqttJson/html/Css.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqttJson/html/UpdatePage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqttJson/html/FirstPage.html");
	Html = Html + Class.ReadTranslateAfterOfHtml("./Plugin/AsciiToMqttJson/html/SecondPage.html");
	$("#Main_Center-Content").empty();
	$("#Main_Center-Content").append(Html);
	Class = new AsciiToMqttJsonUpdatePage();
	Class.Initialization();
	Class = null;
}
//-----------Center-----------
//__________ASCII / MQTT JSON 轉換傳輸__________
  //第一頁
function main_AsciiToMqttJsonShowNextPage_click()
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.ShowNextPage();
	Class = null;
}
function main_AsciiToMqttJsonShowPreviousPage_click()
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.ShowPreviousPage();
	Class = null;
}
function main_AsciiToMqttJsonChangeAllCheckbox_click(that)
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.ChangeAllCheckbox(that);
	Class = null;
}
function main_AsciiToMqttJsonChangeCheckbox_click(that)
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.ChangeCheckbox(that);
	Class = null;
}
function main_AsciiToMqttJsonSettingButton_click(that)
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.EditButton(that);
	Class = null;
}
function main_AsciiToMqttJsonSaveButton_click(that)
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.SaveButton(that);
	Class = null;
}
function main_AsciiToMqttJsonSetConnectionName_click(that)
{
	var Class = new AsciiToMqttJsonFirstPage();
	Class.SetConnectionName(that);
	Class = null;
}
  //第二頁
function main_AsciiToMqttJsonConfirmButton_click(that)
{
	var Class = new AsciiToMqttJsonSecondPage();
	Class.ConfirmButton(that);
	Class = null;
}
function main_AsciiToMqttJsonNoConfirmButton_click()
{
	var Class = new AsciiToMqttJsonSecondPage();
	Class.NoConfirmButton();
	Class = null;
}
function main_AsciiToMqttJsonShowColumn_click()
{
	var Class = new AsciiToMqttJsonSecondPage();
	Class.ShowColumn();
	Class = null;
}
function main_AsciiToMqttJsonHideColumn_click()
{
	var Class = new AsciiToMqttJsonSecondPage();
	Class.HideColumn();
	Class = null;
}